# eplq-cups.spec.in -- an automake template for a RPM Spec file

#    Driver for EPSON SIDM Printers
#    Copyright (C) SEIKO EPSON CORPORATION 2007-2010.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License or
#    any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

# macro definitions.

%define name   Driver for EPSON 24Pin SIDM Printers
%define pkg    epsidm24-secc0004
%define ver    1.0.0
%define rel    1
%define vendor Seiko Epson Corporation

# general package information

Summary:    %{name}
Name:       %{pkg}
Version:    %{ver}
Release:    %{rel}
License:    GPL
Group:      Applications/System
Source:     %{pkg}-%{ver}.tar.gz
Vendor:     %{vendor}
Packager:   %{vendor}
URL:        http://www.epson.com
Provides:   %{pkg}
BuildRoot: %{_tmppath}/%{pkg}-%{ver}-%{rel}-root
Requires:       cups
BuildRequires:  cups-devel

%description
Supported Models:
    - EPSON LQ-350


%prep
%setup -q

%build
%configure \
        --prefix=/usr \
        --mandir=\${prefix}/share/man \
        --infodir=\${prefix}/share/info \
        --sysconfdir=/etc \
        --sharedstatedir=/var
make


%install
    rm -rf ${RPM_BUILD_ROOT}
    %{__make} install-strip DESTDIR=${RPM_BUILD_ROOT}


%clean
    %{__make} distclean || true
    rm -rf ${RPM_BUILD_ROOT}


# rpm (un)installation scripts

#%pre

#%post

#%preun

#%postun


# package contents

%files
%defattr(-,root,root)

%doc    README
#%doc   AUTHORS
%doc    COPYING
#%doc   ChangeLog
%doc    INSTALL
%doc    NEWS

%dir %{_prefix}/lib/cups/filter
%{_prefix}/lib/cups/filter/rastertoepsidm24-secc0004

%dir %{_prefix}/share/ppd/Epson
%{_prefix}/share/ppd/Epson/*.ppd
